package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_o2o_business.git/db/model"
	"xorm.io/xorm"
)

func GetStoreCommissionRelate(eg *xorm.Engine, oid, pvd string) (*model.StoreCommissionRelate, error) {
	var ord model.StoreCommissionRelate
	has, err := eg.Where("oid=? and pvd=?", oid, pvd).Get(&ord)
	if has == false || err != nil {
		return nil, err
	}
	return &ord, nil
}
func GetStoreCommissionRelateWithSession(session *xorm.Session, oid, pvd string) (*model.StoreCommissionRelate, error) {
	var ord model.StoreCommissionRelate
	has, err := session.Where("oid=? and pvd=?", oid, pvd).Get(&ord)
	if has == false || err != nil {
		return nil, err
	}
	return &ord, nil
}
