package model

import (
	"time"
)

type O2oStoreFans struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	UserId     int       `json:"user_id" xorm:"not null comment('用户id') INT(11)"`
	StoreId    int       `json:"store_id" xorm:"not null comment('店铺id') INT(11)"`
	Remake     string    `json:"remake" xorm:"comment('备注') VARCHAR(255)"`
	OrderNum   int       `json:"order_num" xorm:"not null default 0 comment('下单次数') INT(20)"`
	CreateTime time.Time `json:"create_time" xorm:"created not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateTime time.Time `json:"update_time" xorm:"updated not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	Integral   string    `json:"integral" xorm:"default 0.0000 comment('店铺积分') DECIMAL(14,4)"`
	Type       int       `json:"type" xorm:"not null default 0 comment('') INT(11)"`
}
